<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<TITLE>Books report</TITLE>
			</HEAD>
			
			<BODY>
				<xsl:apply-templates select="BOOKS"/>
			</BODY>
		</HTML>
	</xsl:template>
	
	<xsl:template match="BOOKS">
		<HR/>
		<TABLE width="100%">
			<TH>Code</TH><TH>Author</TH><TH>Title</TH>
			<xsl:for-each select="BOOK">
				<xsl:apply-templates select="."/>
			</xsl:for-each>
		</TABLE>
		<HR/>
	</xsl:template>

	<xsl:template match="BOOK">
		<TR>
			<TD><xsl:value-of select="CODE"/></TD>
			<TD><xsl:value-of select="AUTHOR"/></TD>
			<TD><xsl:value-of select="TITLE"/></TD>
		</TR>
	</xsl:template>

</xsl:stylesheet>
